<script lang="ts">
  export let name: string;

  export let classes: string = '';

  const classNames = classes?.split(' ') ?? [];

  classNames.push('inline-block', 'py-0.5', 'px-1.5', 'bg-violet-700', 'rounded-full');
</script>

<span class={classNames.join(' ')}>
    {name}
</span>